﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_two_color_dashes
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Redraw on resize.
        private void Form1_Load(object sender, EventArgs e)
        {
            ResizeRedraw = true;
        }

        // Fill four rectangles and draw a two-color dashed rectangle.
        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics gr = e.Graphics;

            // Fill the rectangles.
            int wid = ClientSize.Width / 2;
            int hgr = ClientSize.Height / 2;
            gr.FillRectangle(Brushes.Green, 0, 0, wid, hgr);
            gr.FillRectangle(Brushes.Orange, 0, hgr, wid, hgr);
            gr.FillRectangle(Brushes.Yellow, wid, 0, wid, hgr);
            gr.FillRectangle(Brushes.Blue, wid, hgr, wid, hgr);

            // Draw the dashed rectangle.
            Rectangle rect = new Rectangle(
                20, 20,
                ClientSize.Width - 40, ClientSize.Height - 40);
            using (Pen pen1 = new Pen(Color.Black, 2))
            {
                gr.DrawRectangle(pen1, rect);
            }
            using (Pen pen2 = new Pen(Color.White, 2))
            {
                pen2.DashPattern = new float[] { 5, 5 };
                gr.DrawRectangle(pen2, rect);
            }
        }
    }
}
